org.apache.tools.ant.types.selectors.modifiedselector

## Class ModifiedSelector.AlgorithmName

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector.AlgorithmName

Enclosing class:
  ModifiedSelector

    public static class ModifiedSelector.AlgorithmName
    extends EnumeratedAttribute

The enumerated type for algorithm. The values are "hashValue", "digest" and "checksum".

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
Constructor and Description
`ModifiedSelector.AlgorithmName()`

### Method Summary

Methods
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModifiedSelector.AlgorithmName

    public ModifiedSelector.AlgorithmName()

### Method Detail

#### getValues

    public java.lang.String[] getValues()

This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
See Also:
  `EnumeratedAttribute.getValues()`